## Week 2: Coding Intro, Projectiles and Collisions

### Description: 
Get familiar with GDScript, the coding language for Godot, by a series of fun exercises that show how to create various game mechanics by the use of code.

Learn the major principles of coding, as well as those specific to game development in Godot.

### Code Concepts:
* Data types and collections
* Operators and iteration
* Conditionals and logic
* Syntax and scope
* Custom signals
* Exports and decorators

Learn to apply physics forces vs scripted movements

Collision detection and reaction

### Development Exercise 1 - Bumping

In this first exercise we will modify the player character to register collisions with RigidBodies and use forces for reactions.

### Exercise 2 - Force Push Attack

Expand on the understanding of impulses by creating a force-push melee attack.

### Exercise 3 - Cannon

This exercise teaches:
* Dynamic instantiation
* Removing bodies from the game world
* Manipulating the object's transform
* Applying impulses to rigid bodies

Make a projectile canon for your player using physics forces


