## Week 3: Animated Graphics, Tilemap Layers

### Description: 
Understand how to animate a player character (as well as other items and NPCs) using animated sprites. Learn to use a Tilemap Layer and Terrain to build out your game world.

### Code Concepts:

* SceneManager
* Asset Pooling

Learn to use a central scene manager to manage the state of what we see upon the screen.
Implement pooling to keep track of bullets.

### Development Exercise 1 - Pooling

In this exercise create the SceneManager and learn to use it for spawning bullets. (Move this responsibility from the player to the SceneManager)

### Exercise 2 - Player Animation

Learn to use the AnimatedSprite2D to provide several animations to your player character, based on the actions they are able to do.

### Exercise 3 - Tilemap Layer

Create a tilemap layer, learn to import and use tilesets for fleshing out your game world.