This week we do:

* Tilemaps
* Parallax Backgrounds
* Moving platforms

## Tilemaps

Up to now we have used the tilemap in a very basic way to be able to place some graphics into our game for walls and floors in our platformer.

We are using simple StaticBodies with colliders to create collisions between our game objects like the player and those surfaces. This works well enough and is simple, but the tilemap has many more features we can use to build out levels quickly and easily - including the ability to define colliders right inside the individual tiles.

To make use of these features, we need to expand our knowledge to include both TileSets and Terrains.

## Parallax Background

The Tilemap is a great feature, but graphics placed with it have a danger of feeling flat and boring on their own. The addition of a background can add a lot of atmosphere to your game. Godot includes a feature for making not only a background, but a repeating parallax background.

Parallax backgrounds allow you to create background layers that repeat as your viewport moves around the scene. Furthermore, those layers can be moved relative to the player to create a wonderful feeling of depth - layers further away in the background move slower, whereas layers in the forground move fast. This simulates that way our eyes percieve depth, and it can make our worlds feels more vast.


### Resources
In-depth Tilemaps for Godot 4.2
https://youtu.be/AUVsX-mtuNs?si=1aQU4nVyv_aJ9els
Best video for Parallax2D
https://youtu.be/3KnW9ATUsfA?si=cQwIO0bXs5btqIdd
